PrivyPrivy
Sign in
  • Documentation
Back to Documentation
B2B Telco APIs
OverviewChangelog
Phone Active
    v1
    v2
    v3
      Phone Active v3QuickstartEnvironmentsAuthenticationRequest FieldsActivity ResultsErrors
Phone Match
Phone Location Verification
Phone Income Score
API Explorer
powered by Zudoku
Sign in
v3

Quickstart

Send a JSON request to POST /api/v3/phone/active using credentials provisioned by Privy.

Basic Authentication

TerminalCode
curl --request POST \ --url https://stg-b2b-api.privy.id/api/v3/phone/active \ --header 'Authorization: Basic <BASE64_USERNAME_PASSWORD>' \ --header 'Content-Type: application/json' \ --header 'Merchant-Key: <MERCHANT_KEY>' \ --data '{ "transaction_id": "active-v3-001", "msisdn": "628171234567", "channel": "web" }'

Bearer HMAC Authentication

TerminalCode
curl --request POST \ --url https://stg-b2b-api.privy.id/api/v3/phone/active \ --header 'Authorization: Bearer <ACCESS_TOKEN>' \ --header 'Timestamp: <TIMESTAMP>' \ --header 'Signature: <SIGNATURE>' \ --header 'Content-Type: application/json' \ --data '{ "transaction_id": "active-v3-001", "msisdn": "628171234567", "channel": "web" }'

The submitted msisdn must belong to XL, Axis, and Smartfren.

Last modified on October 23, 2026
Phone Active v3Environments
On this page
  • Basic Authentication
  • Bearer HMAC Authentication